import java.awt.Color;

public class Testen_GPoint {

    public static void main(String[] args) {
        GPoint p1 = new GPoint(10,20);
        if (p1.getX()!=10 || p1.getY()!=20) {
            System.out.println("Die Startwerte f�r x und y werden im Konstruktor nicht richtig gespeichert oder die get-Methoden funktionieren nicht.");
        } else {
            System.out.println("Die Startwerte f�r x und y werden korrekt gespeichert und die get-Methoden funktionieren.");
        } // end of if

        if (p1.getColor()==null || p1.getColor().getRGB() != Color.black.getRGB()) {
            System.out.println("Die Farbe sollte im Konstruktor auf Schwarz gesetzt werden.");
        } else {
            System.out.println("Die Farbe des Punktes wird im Konstruktor korrekt gesetzt.");
        } // end of if

        p1.setX(43);
        p1.setY(12);
        if (p1.getX()!=43 || p1.getY()!=12) {
            System.out.println("Die set-Methoden arbeiten nicht richtig.");
        } else {
            System.out.println("Die set-Methoden funktionieren.");
        } // end of if

        boolean abstand = true;
        if (p1.abstandZu(53,12)!=10) {
            System.out.println("Abstandberechnung funktioniert nicht.");
            abstand = false;
        } // end of if
        if (p1.abstandZu(43,2)!=10) {
            System.out.println("Abstandberechnung funktioniert nicht.");
            abstand = false;
        } // end of if
        if (p1.abstandZu(46,16)!=5) {
            System.out.println("Abstandberechnung funktioniert nicht.");
            abstand = false;
        } // end of if
        if (abstand) {
            System.out.println("Abstandsberechnungen funktionieren.");
        } // end of if
    } // end of main

} // end of class Testen
